locked
При запуске эмулятора Windows Phone 7 выбивает ошибку RRS feed

  • Вопрос

  • Привет. Создал в студии новый проэкт Windows Phone 7.При компиляции проэкта (эмулятора WP7) выбивает сообщения

    В чем может быть проблема?

    Стоит  Windows 7 Ultimate

    студия  Visual Studio 2010 Ultimate

     

    22 января 2012 г. 17:05

Ответы

  • Судя по скриншоту - драйвера не поддерживают инструкции DirectX10 (Модель драйвера WDDM 1.0, а должна быть WDDM 1.1). Как понимаю, версии Catalyst между 9.3 и 10.2  должны подходить, если карта поддерживает  WDDM 1.1 и соответственно DirectX 10 (это надо смотреть спецификации). Если карта не поддерживает эти инструкции, то ничего сделать нельзя.
    • Помечено в качестве ответа Abolmasov Dmitry 26 января 2012 г. 8:34
    23 января 2012 г. 11:58

Все ответы

  • Возможно проблема в том что эмулятор не поддерживается в полной мере на вашем компьютере из-за отсутствия необходимой конфигурации графического процессора.
    22 января 2012 г. 18:19
  • Дело не только в ОС. Вы сравнили требования по указанной ссылке с той конфигурацией, что у вас на компьютере?

    Какая видеокарта, какие DirectX

    23 января 2012 г. 6:52
  • Необходиму конфигурацию можно посмотреть здесь - Setup and System Requirements for Windows Phone Emulator


    Для связи [mail]
    23 января 2012 г. 7:52
  • Ключевое в этом случае - это поддерживаемый видеокартой DirectX и установленный.
    В FAQ уже написано об этом:
    Запускаю эмулятор Windows Phone 7, в основном всё работает, но не отображаются контролы веб-браузера, а также сам веб-браузер.
    Скорее всего видеокарта компьютера не поддерживает инструкции DirectX10 или установлены драйверы не поддерживающие DirectX10.

    Это тот же случай - после такого окошка как у вас - обычно не работает веб-браузер. Также не запускаются XNA проекты.

    Проверить: поддерживает ли карта DirectX10 и какой DirectX установлен. 
    23 января 2012 г. 10:59
  • Вот такие конфигурации сейчас на ноутбуке:

    Я так понял что видеокарта поддерживает только DirectX 9.0, а нужно 10 версию. Что можно сделать?

    23 января 2012 г. 11:28
  • Судя по скриншоту - драйвера не поддерживают инструкции DirectX10 (Модель драйвера WDDM 1.0, а должна быть WDDM 1.1). Как понимаю, версии Catalyst между 9.3 и 10.2  должны подходить, если карта поддерживает  WDDM 1.1 и соответственно DirectX 10 (это надо смотреть спецификации). Если карта не поддерживает эти инструкции, то ничего сделать нельзя.
    • Помечено в качестве ответа Abolmasov Dmitry 26 января 2012 г. 8:34
    23 января 2012 г. 11:58
  • Решение есть. Я поставил вместо WIndows Phone SDK 7.1 -  WIndows Phone SDK 7.0. И эмулятор заработал!
    27 января 2012 г. 13:17
  • Даунгрейд не лучшее решение. SDK 7.1 и 7.0 имеют принципиальные отличия. Да и проекты созданные на SDK 7.1 не запустятся на эмуляторе из SDK 7.0.
    27 января 2012 г. 23:18